import { CancelableEvent } from "@skeldjs/events";
import { CloseMessage } from "@skeldjs/protocol";
import { MeetingHud } from "../../objects";
import { Hostable } from "../../Hostable";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { MeetingHudEvent } from "./MeetingHudEvent";
/**
 * Emitted when the current meeting closes.
 *
 * To listen for when a meeting actually ends and when a player gets ejected,
 * see {@link MeetingHudVotingCompleteEvent}.
 */
export declare class MeetingHudCloseEvent<RoomType extends Hostable = Hostable> extends CancelableEvent implements RoomEvent, MeetingHudEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly meetinghud: MeetingHud<RoomType>;
    readonly message: CloseMessage;
    static eventName: "meeting.close";
    eventName: "meeting.close";
    constructor(room: RoomType, meetinghud: MeetingHud<RoomType>, message: CloseMessage);
}
//# sourceMappingURL=Close.d.ts.map